/****************************************************************************
**
** qutIM - instant messenger
**
** Copyright © 2012 Nicolay Izoderov <nico-izo@ya.ru>
**
*****************************************************************************
**
** $QUTIM_BEGIN_LICENSE$
** This program is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
** See the GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see http://www.gnu.org/licenses/.
** $QUTIM_END_LICENSE$
**
****************************************************************************/

#ifndef SIMPLEFILTERPROXYMODEL_H
#define SIMPLEFILTERPROXYMODEL_H
#include <QModelIndex>
#include <QSortFilterProxyModel>
#include <qutim/itemdelegate.h>

namespace Core
{

class SimpleFilterProxyModel : public QSortFilterProxyModel
{
	Q_OBJECT

public:
	SimpleFilterProxyModel(QObject *parent = 0);
	void setComplexHandling(bool handle);

protected:
	bool filterAcceptsRow(int sourceRow, const QModelIndex &sourceParent) const;

private:
	bool m_complexHandling;

};

}
#endif // SIMPLEFILTERPROXYMODEL_H
